X2Go Bug report logs - #789
Kerberos 5 auth. reset putty sessions list

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Jozsef Kozo <kojraai@gmail.com>

Date: Mon, 16 Feb 2015 14:15:01 UTC

Severity: grave

Tags: build-win32, pending

Merged with 625

Found in version 4.0.2.1

Fixed in version 4.0.4.0

Done: X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#789; Package x2go client. (Mon, 16 Feb 2015 14:15:02 GMT) (full text, mbox, link).


Acknowledgement sent to Jozsef Kozo <kojraai@gmail.com>:
New Bug report received and forwarded. Copy sent to owner@bugs.x2go.org.

Your message had a Version: pseudo-header with an invalid package version:

4.0.3.1( Qt-4.8.6 )

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Mon, 16 Feb 2015 14:15:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Jozsef Kozo <kojraai@gmail.com>
To: submit@bugs.x2go.org
Subject: Kerberos 5 auth. reset putty sessions list
Date: Mon, 16 Feb 2015 15:11:18 +0100
[Message part 1 (text/plain, inline)]
Package: X2Go Client
Version:  4.0.3.1( Qt-4.8.6 )
OS:        Windows 8.1 Enterprise x64

Dear Dev. Team,

I switched  on "Kerberos 5 (GSSAPI) authentication" on X2Go client and all
my saved Putty sessions are gone. So Saved session list is empty. I tried
to recover from registry but can't.

You can reproduce like this:

1. Save a session to Putty
2. Set  Kerberos 5 (GSSAPI) authentication
3. Connect to X2Go server

Any idea how can i recover my list?

Best,

Jozsef Kozo
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#789; Package x2go client. (Tue, 03 Mar 2015 12:40:02 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to owner@bugs.x2go.org. (Tue, 03 Mar 2015 12:40:02 GMT) (full text, mbox, link).


Message #10 received at 789@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: 789@bugs.x2go.org
Subject: This sounds grave
Date: Tue, 3 Mar 2015 07:35:50 -0500
Control: severity -1 grave
Control: affects -1 = x2goclient
Control: tag -1 build-win32

HI Jozsef,

Sorry to hear that you ran into this bug.

I will look into it ASAP.


Severity set to 'grave' from 'normal' Request was from Michael DePaulo <mikedep333@gmail.com> to 789-submit@bugs.x2go.org. (Tue, 03 Mar 2015 12:40:02 GMT) (full text, mbox, link).


Added indication that 789 affects x2goclient Request was from Michael DePaulo <mikedep333@gmail.com> to 789-submit@bugs.x2go.org. (Tue, 03 Mar 2015 12:40:02 GMT) (full text, mbox, link).


Added tag(s) build-win32. Request was from Michael DePaulo <mikedep333@gmail.com> to 789-submit@bugs.x2go.org. (Tue, 03 Mar 2015 12:40:03 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#789; Package x2go client. (Tue, 03 Mar 2015 13:00:02 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to owner@bugs.x2go.org. (Tue, 03 Mar 2015 13:00:03 GMT) (full text, mbox, link).


Message #21 received at 789@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: 789@bugs.x2go.org
Cc: Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>
Subject: I reproduced it
Date: Tue, 3 Mar 2015 07:59:24 -0500
[Message part 1 (text/plain, inline)]
I reproduced this bug on my system:

X2Go Client for Windows 4.0.3.2-20150301-debug
Windows 10 64-bit (build 9926 with latest patches)

I've CC'd the developer who added Windows Kerberos support, Alex.

I've attached the "Sessions" registry key before and after. The test
session I created, uss-phoenix, was clearly deleted.
HKEY_CURRENT_USER\Software\SimonTatham\PuTTY\Sessions\uss-phoenix\

However, there is no indication in the debug log (attached) that the
Sessions key or its subkey was touched.

I'll take a look at the x2goclient source code to figure out what is going on.

-Mike#2
[789-debug-log.txt (text/plain, attachment)]
[789-before.reg (application/octet-stream, attachment)]
[789-after.reg (application/octet-stream, attachment)]

Information stored :
Bug#789; Package x2go client. (Tue, 03 Mar 2015 13:00:04 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and filed, but not forwarded. (Tue, 03 Mar 2015 13:00:04 GMT) (full text, mbox, link).


Message #26 received at 789-quiet@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: 789-quiet@bugs.x2go.org
Subject: reassign correctly
Date: Tue, 3 Mar 2015 08:00:01 -0500
Control: reassign -1 x2goclient


Bug reassigned from package 'x2go client' to 'x2goclient'. Request was from Michael DePaulo <mikedep333@gmail.com> to 789-quiet@bugs.x2go.org. (Tue, 03 Mar 2015 13:00:05 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#789; Package x2goclient. (Wed, 04 Mar 2015 02:40:01 GMT) (full text, mbox, link).


Acknowledgement sent to Earl Tom <earl_tom@yahoo.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 04 Mar 2015 02:40:02 GMT) (full text, mbox, link).


Message #33 received at 789@bugs.x2go.org (full text, mbox, reply):

From: Earl Tom <earl_tom@yahoo.com>
To: "789@bugs.x2go.org" <789@bugs.x2go.org>
Subject: Kerberos 5 auth. reset putty sessions list
Date: Wed, 4 Mar 2015 02:35:30 +0000 (UTC)
I think this is a duplicate of bug #625.
There's a snippet of code attached to that bug that looks suspicious.  I think it's trying to delete one session but ends up deleting them all.

This hits me, too, so it would be nice to have it fixed.
My workaround is that I've exported a .reg file of the sessions and import that after starting x2goclient.


Thanks,

-- 

Earl


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#789; Package x2goclient. (Thu, 05 Mar 2015 12:35:02 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 05 Mar 2015 12:35:02 GMT) (full text, mbox, link).


Message #38 received at 789@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>
Cc: 789@bugs.x2go.org
Subject: Re: I reproduced it
Date: Thu, 5 Mar 2015 07:32:53 -0500
On Thu, Mar 5, 2015 at 7:18 AM, Oleksandr Shneyder
<o.shneyder@phoca-gmbh.de> wrote:
> Hm, I think something has changed in Putty since I developed this
> feature. I didn't see this behavior earlier, when I used x2go client
> parallel to putty on my Windows machine. I'll check this.

I think we have always been using PuTTY 0.63 for this feature.

0.64 just came out, but I have not switched the X2Go Client for
Windows builds over to it. Nor have I tested it with X2Go Client for
Windows.

> There is no
> need to use plink any more anyway, since libssh used in Windows client
> has native GSSAPI support.

Are you sure? Windows uses Microsoft SSPI, not GSSAPI.

https://encrypted.google.com/search?hl=en&q=microsoft%20sspi%20vs%20gssapi

> regards,
> Alex

If you want to rebuild libssh:

1. I have my settings for building libssh here:
http://code.x2go.org/gitweb?p=x2goclient-contrib.git;a=blob;f=libssh/0.6.4-x2go1-mingw482_bin/CMake-Show-My-Changes.txt;h=66391e0cfebf4542938dcd71ab1b87dd9c03eca2;hb=HEAD

2. Rather than building 0.6.4 itself, you need to build 0.6.4 with
these patches. 3 of the patches are the 3 commits made immediately
after 0.6.4 released:
http://code.x2go.org/gitweb?p=x2goclient-contrib.git;a=tree;f=libssh/0.6.4-x2go1-mingw482_src;h=a778703ad4118245b33e759d59b2fcb4fd370c37;hb=HEAD

3. The libssh developers recommend using the HEAD of the 0.6.x branch.
You would still apply the pageant patch from #2. I got the MinGW 4.8.2
patch upstreamed on this branch, so no need to apply that:
https://git.libssh.org/projects/libssh.git/log/?h=v0-6

4. #libssh on FreeNode has multiple developers who are very helpful.

-Mike#2

> Am 03.03.2015 um 13:59 schrieb Michael DePaulo:
>> I reproduced this bug on my system:
>>
>> X2Go Client for Windows 4.0.3.2-20150301-debug
>> Windows 10 64-bit (build 9926 with latest patches)
>>
>> I've CC'd the developer who added Windows Kerberos support, Alex.
>>
>> I've attached the "Sessions" registry key before and after. The test
>> session I created, uss-phoenix, was clearly deleted.
>> HKEY_CURRENT_USER\Software\SimonTatham\PuTTY\Sessions\uss-phoenix\
>>
>> However, there is no indication in the debug log (attached) that the
>> Sessions key or its subkey was touched.
>>
>> I'll take a look at the x2goclient source code to figure out what is going on.
>>
>> -Mike#2
[...]


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#789; Package x2goclient. (Thu, 05 Mar 2015 12:45:03 GMT) (full text, mbox, link).


Acknowledgement sent to Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 05 Mar 2015 12:45:03 GMT) (full text, mbox, link).


Message #43 received at 789@bugs.x2go.org (full text, mbox, reply):

From: Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>
To: Michael DePaulo <mikedep333@gmail.com>, 789@bugs.x2go.org
Subject: Re: I reproduced it
Date: Thu, 05 Mar 2015 13:18:01 +0100
[Message part 1 (text/plain, inline)]
Hm, I think something has changed in Putty since I developed this
feature. I didn't see this behavior earlier, when I used x2go client
parallel to putty on my Windows machine. I'll check this. There is no
need to use plink any more anyway, since libssh used in Windows client
has native GSSAPI support.

regards,
Alex

Am 03.03.2015 um 13:59 schrieb Michael DePaulo:
> I reproduced this bug on my system:
> 
> X2Go Client for Windows 4.0.3.2-20150301-debug
> Windows 10 64-bit (build 9926 with latest patches)
> 
> I've CC'd the developer who added Windows Kerberos support, Alex.
> 
> I've attached the "Sessions" registry key before and after. The test
> session I created, uss-phoenix, was clearly deleted.
> HKEY_CURRENT_USER\Software\SimonTatham\PuTTY\Sessions\uss-phoenix\
> 
> However, there is no indication in the debug log (attached) that the
> Sessions key or its subkey was touched.
> 
> I'll take a look at the x2goclient source code to figure out what is going on.
> 
> -Mike#2
> 


-- 
-----------------------------------------------------------
Oleksandr Shneyder        | Email: o.shneyder@phoca-gmbh.de
phoca GmbH                | Tel. : 0911 - 14870374 0
Ludwig-Feuerbach-str. 18  | Fax. : 0911 - 14870374 9
D-90489 Nürnberg          | Mobil: 0163 - 49 64 461

Geschäftsführung:
Dipl.-Inf. Oleksandr Shneyder

Amtsgericht München | http://www.phoca-gmbh.de
HRB 196 658         | http://www.x2go.org
USt-IdNr.: DE281977973
-----------------------------------------------------------

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#789; Package x2goclient. (Thu, 05 Mar 2015 12:45:03 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 05 Mar 2015 12:45:04 GMT) (full text, mbox, link).


Message #48 received at 789@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: 789@bugs.x2go.org
Subject: Merging this with #625
Date: Thu, 5 Mar 2015 07:42:27 -0500
Control: forcemerge 625 -1

I just noticed the email about this being a duplicate. Thank you for
help with bug triaging.


Removed indication that 789 affects x2goclient Request was from Michael DePaulo <mikedep333@gmail.com> to 789-submit@bugs.x2go.org. (Thu, 05 Mar 2015 12:45:04 GMT) (full text, mbox, link).


Marked as found in versions 4.0.2.1. Request was from Michael DePaulo <mikedep333@gmail.com> to 789-submit@bugs.x2go.org. (Thu, 05 Mar 2015 12:45:04 GMT) (full text, mbox, link).


Merged 625 789 Request was from Michael DePaulo <mikedep333@gmail.com> to 789-submit@bugs.x2go.org. (Thu, 05 Mar 2015 12:45:04 GMT) (full text, mbox, link).


Added tag(s) pending. Request was from Mike DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Sun, 10 May 2015 15:05:02 GMT) (full text, mbox, link).


Marked as fixed in versions 4.0.4.0. Request was from Mike DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Sun, 10 May 2015 15:05:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#789; Package x2goclient. (Sun, 10 May 2015 15:15:01 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 10 May 2015 15:15:01 GMT) (full text, mbox, link).


Message #63 received at 789@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: 789@bugs.x2go.org
Subject: I fixed this: more info
Date: Sun, 10 May 2015 11:14:15 -0400
This will be fixed in the 1st release of X2Go Client for Windows 4.0.4.0-x.

The bug appeared to be caused by the fact that for at least 1 of the
SSH Processes, procUuid/uuidStr is null.
Thus HKEY_CURRENT_USER\\Software\\SimonTatham\\PuTTY\\Sessions would
be deleted (recursively) instead of only the uuidStr subkey being
deleted.

I fixed it by simply adding a check to SshProcess::rmPuttyReg(). It
now does nothing if uuidStr is empty or null. This is the safest
solution IMHO.

-Mike


Marked Bug as done Request was from X2Go Release Manager <git-admin@x2go.org> to control@bugs.x2go.org. (Wed, 27 May 2015 06:50:23 GMT) (full text, mbox, link).


Notification sent to Jozsef Kozo <kojraai@gmail.com>:
Bug acknowledged by developer. (Wed, 27 May 2015 06:50:23 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Thu, 25 Jun 2015 05:24:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Thu Aug 22 22:30:14 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.